from os import fileExists
import happyx

# Declare template folder
templateFolder("templates")

# ? Renders template and returns HTML string
proc renderPage(title: string): string =
  renderTemplate("index.nimja")

# ? Serve at http://127.0.0.1:5000
serve("127.0.0.1", 5000):

  get "/":
    req.answerHtml renderPage("")

  get "/{article}":
    req.answerHtml renderPage(article)

  middleware:
    echo req

  notfound:
    return renderPage("404")

# make base articles and assets publicly accessible
  staticDir "src/articles"
  staticDir "src/public"
